/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by 
 *  Björnsen Beratende Ingenieure GmbH 
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.client.client.ui;

import org.dive4elements.river.client.client.ui.DatacageTwinPanel.IDatacageTwinPanelInfo;
import org.dive4elements.river.client.shared.model.Recommendation;

/**
 * @author Gernot Belger
 */
public final class DefaultDatacageTwinPanelInfo implements IDatacageTwinPanelInfo {

	private String factory;
	private String outs;

	public DefaultDatacageTwinPanelInfo(final String factory, final String outs) {
		this.factory = factory;
		this.outs = outs;
	}
	
	@Override
	public String getFactory() {
		return factory;
	}
	
	@Override
	public String getDataStringFactory() {
		return factory;
	}

    @Override
	public void adjustRecommendation(Recommendation recommendation) {
        recommendation.setFactory(factory);
    }

	@Override
	public String getOuts() {
		return outs;
	}
}